Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 265370 - kde-base/krossruby-4.2.69: krossruby fails to build
Summary: kde-base/krossruby-4.2.69: krossruby fails to build
Status: RESOLVED DUPLICATE of bug 256703
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
: 303217 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-04-07 18:38 UTC by Martin Berkemeier
Modified: 2010-02-04 15:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Berkemeier 2009-04-07 18:38:54 UTC
It simply fails to build. Okular is installed allready and I dont know what KDevPlatform is... It happened allready with kde-base/krossruby-4.2.68

Reproducible: Always

Steps to Reproduce:
1. emerge -v kde-base/krossruby
OR
2. emerge -v @kdebindings-4.3

Actual Results:  
 * kdebindings-4.2.69.tar.lzma RMD160 SHA1 SHA256 size ;-) ...                                                                                                                                              [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                                                        [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                                                       [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                                                      [ ok ]
>>> Unpacking source...
 * Unpacking parts of kdebindings-4.2.69.tar.lzma to /var/tmp/portage/kde-base/krossruby-4.2.69/work ...                                                                                                     [ ok ]
>>> Source unpacked in /var/tmp/portage/kde-base/krossruby-4.2.69/work
>>> Preparing source in /var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby-4.2.69 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby-4.2.69 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby_build"
loading initial cache file /var/tmp/portage/kde-base/krossruby-4.2.69/temp/gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/lib/ccache/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/lib/ccache/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/lib/ccache/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/lib/ccache/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.5.0 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl
-- Phonon Version: 4.3.0
-- Found Phonon: /usr/lib64/libphonon.so
-- Found Phonon Includes: /usr/include/KDE;/usr/include
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.3 include dir: /usr/kde/4.3/include
-- Found KDE 4.3 library dir: /usr/kde/4.3/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/kde/4.3/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found Soprano: /usr/lib64/libsoprano.so
-- Found Soprano includes: /usr/include
-- Found Soprano Index: /usr/lib64/libsopranoindex.so
-- Found Soprano Client: /usr/lib64/libsopranoclient.so
-- Found Soprano Plugin Dir: /usr/share/soprano/plugins
-- Found Soprano Plugins: nquadparser nquadserializer raptorparser raptorserializer redlandbackend sesame2backend
-- Found NEPOMUK: /usr/kde/4.3/lib64/libnepomuk.so
-- Found KdepimLibs: /usr/kde/4.3/lib64/cmake/KdepimLibs-4.3.0/KdepimLibsConfig.cmake
-- Phonon Version: 4.3.0
-- cmake package FindOkular.cmake was not found. The package Okular is needed to compile all part of this program.
-- Found Akonadi: /usr/lib64/libakonadiprotocolinternals.so
-- Found Akonadi includes: /usr/include
-- Found Akonadi common libraries: /usr/lib64/libakonadiprotocolinternals.so
-- Found Akonadi dbus-interfaces: /usr/share/dbus-1/interfaces
-- cmake package FindKDevPlatform.cmake was not found. The package KDevPlatform is needed to compile all part of this program.
-- Build QtRuby... no
-- Build QtWebKit Ruby... no
-- Build QtUiTools Ruby... no
-- Build QtScript... no
-- Build QtTest... no
-- Build Soprano Ruby... no
-- Build QScintilla Ruby... no
-- Build Qwt Ruby... no
-- Build Phonon Ruby... no
-- Build Akonadi Ruby... no
-- Build KHTML Ruby... no
-- Build Korundum... no
-- Build KDevPlatform Ruby... no
-- Build KTextEditor Ruby... no
-- Build Nepomuk Ruby... no
-- Build Okular Ruby... no
-- Build Plasma Ruby... no
-- Build Solid Ruby... no
-- Ruby Executable: /usr/bin/ruby
-- Ruby Libraries: RUBY_LIBRARY-NOTFOUND
-- Ruby Include Path: /usr/lib64/ruby/1.8/x86_64-linux
-- Build Kross Ruby... no
-- <<< Gentoo configuration >>>
Build type: Gentoo
Install path: /usr/kde/4.3

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby_build
>>> Source configured.
>>> Compiling source in /var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby-4.2.69 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby_build"
make -j3 
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/krossruby-4.2.69

>>> Install krossruby-4.2.69 into /var/tmp/portage/kde-base/krossruby-4.2.69/image/ category kde-base
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby_build"
make -j3 install DESTDIR=/var/tmp/portage/kde-base/krossruby-4.2.69/image/ 
make: *** No rule to make target `install'.  Stop.
 * 
 * ERROR: kde-base/krossruby-4.2.69 failed.
 * Call stack:
 *               ebuild.sh, line   48:  Called src_install
 *             environment, line 3736:  Called kde4-meta_src_install
 *             environment, line 2954:  Called kde4-base_src_install
 *             environment, line 2645:  Called cmake-utils_src_install
 *             environment, line 1005:  Called die
 * The specific snippet of code:
 *       emake install DESTDIR="${D}" || die "Make install failed";
 *  The die message:
 *   Make install failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/kde-base:krossruby-4.2.69:20090407-182641.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/krossruby-4.2.69/temp/environment'.
 * This ebuild is from an overlay named 'kde': '/usr/local/portage/layman/kde-testing/'
 * 

>>> Failed to emerge kde-base/krossruby-4.2.69, Log file:

>>>  '/var/log/portage/kde-base:krossruby-4.2.69:20090407-182641.log'



emerge --info

Portage 2.2_rc28 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.29-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.29-gentoo-r1-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_6400+-with-glibc2.2.5
Timestamp of tree: Tue, 07 Apr 2009 14:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p10-r1
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.3-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.8
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/4.3/env /usr/kde/4.3/share/config /usr/kde/4.3/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo"
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,--hash-style=both"
LINGUAS="de en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/portato /usr/local/portage/layman/berkano /usr/local/portage/layman/techwolf /usr/local/portage/layman/devnull /usr/local/portage/layman/kde-testing /usr/local/portage /usr/portage-rechenwerk"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib accessibility acl acpi alsa amd64 audio bash-completion berkdb bzip2 caps cdda cddb cdio cdparanoia cdr cleartype cli compat corefonts cracklib crypt cups curl cxx dbus dga dirac directfb dri dts dv dvb dvd dvdr eigen encode faac faad fam fbcon fbdev ffmpeg firefox flac fontconfig fortran ftp gdbm ggi gif git glib gpm gstreamer gtk hal htmlhandbook iconv imagemagick java javascript joystick jpeg jpeg2k kde kdeprefix kerberos kontact ladspa lame lcms libcaca lua lzo mad matroska midi mikmod mmx mmxext mng modplug mp3 mp4 mpeg mudflap multilib musepack musicbrainz ncurses network nls nsplugin nvidia ogg openal opengl openmp oss pam pcf pch pcre pdf perl phonon plasma pmu png psf python qt3 qt3support qt4 quicktime readline reflection rss samba sdl semantic-desktop session sha512 speex spell spl sqlite sse sse2 ssl ssse3 startup-notification subversion svg tcpd tga theora threads tiff tk truetype unicode usb v4l v4l2 vcd video vim-syntax vorbis webkit wma wxwindows x264 xcb xcomposite xinerama xml xorg xpm xscreensaver xv xvid xvmc zeroconf zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-07 20:29:14 UTC
What is your installed Ruby version?
Comment 2 Martin Berkemeier 2009-04-07 21:03:17 UTC
Latest testing

rechenwerk ~ # eix dev-lang/ruby    
[I] dev-lang/ruby
     Available versions:  
        (1.8)   1.8.6_p114 1.8.6_p287-r5 (~)1.8.6_p287-r13 (~)1.8.7_p72-r11
        (1.9)   [M](~)1.9.1-r1
        {berkdb cjk debug doc emacs examples gdbm ipv6 rubytests socks5 ssl threads tk xemacs}
     Installed versions:  1.8.7_p72-r11(1.8)(10:23:03 PM 04/05/2009)(berkdb gdbm ssl threads tk -debug -doc -emacs -examples -ipv6 -rubytests -socks5 -xemacs)
     Homepage:            http://www.ruby-lang.org/
     Description:         An object-oriented scripting language

rechenwerk ~ # 
Comment 3 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-07 21:07:28 UTC
Testing ruby means eselect-ruby means no generic libruby.so symlink means bug 256703. :)

*** This bug has been marked as a duplicate of bug 256703 ***
Comment 4 Martin Berkemeier 2009-04-07 21:19:47 UTC
nearly.. it brought me steps closer but... after 
emerge >=dev-ruby/rubygems-1.2.0-r1 
and after
eselect ruby setruby18
I'll get exactly the same error ;)

 * kdebindings-4.2.69.tar.lzma RMD160 SHA1 SHA256 size ;-) ...                                                                                                                                              [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                                                        [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                                                       [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                                                      [ ok ]
>>> Unpacking source...
 * Unpacking parts of kdebindings-4.2.69.tar.lzma to /var/tmp/portage/kde-base/krossruby-4.2.69/work ...                                                                                                     [ ok ]
>>> Source unpacked in /var/tmp/portage/kde-base/krossruby-4.2.69/work
>>> Preparing source in /var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby-4.2.69 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby-4.2.69 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby_build"
loading initial cache file /var/tmp/portage/kde-base/krossruby-4.2.69/temp/gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/lib/ccache/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/lib/ccache/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/lib/ccache/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/lib/ccache/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.5.0 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl
-- Phonon Version: 4.3.0
-- Found Phonon: /usr/lib64/libphonon.so
-- Found Phonon Includes: /usr/include/KDE;/usr/include
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.3 include dir: /usr/kde/4.3/include
-- Found KDE 4.3 library dir: /usr/kde/4.3/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/kde/4.3/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found Soprano: /usr/lib64/libsoprano.so
-- Found Soprano includes: /usr/include
-- Found Soprano Index: /usr/lib64/libsopranoindex.so
-- Found Soprano Client: /usr/lib64/libsopranoclient.so
-- Found Soprano Plugin Dir: /usr/share/soprano/plugins
-- Found Soprano Plugins: nquadparser nquadserializer raptorparser raptorserializer redlandbackend sesame2backend
-- Found NEPOMUK: /usr/kde/4.3/lib64/libnepomuk.so
-- Found KdepimLibs: /usr/kde/4.3/lib64/cmake/KdepimLibs-4.3.0/KdepimLibsConfig.cmake
-- Phonon Version: 4.3.0
-- cmake package FindOkular.cmake was not found. The package Okular is needed to compile all part of this program.
-- Found Akonadi: /usr/lib64/libakonadiprotocolinternals.so
-- Found Akonadi includes: /usr/include
-- Found Akonadi common libraries: /usr/lib64/libakonadiprotocolinternals.so
-- Found Akonadi dbus-interfaces: /usr/share/dbus-1/interfaces
-- cmake package FindKDevPlatform.cmake was not found. The package KDevPlatform is needed to compile all part of this program.
-- Build QtRuby... no
-- Build QtWebKit Ruby... no
-- Build QtUiTools Ruby... no
-- Build QtScript... no
-- Build QtTest... no
-- Build Soprano Ruby... no
-- Build QScintilla Ruby... no
-- Build Qwt Ruby... no
-- Build Phonon Ruby... no
-- Build Akonadi Ruby... no
-- Build KHTML Ruby... no
-- Build Korundum... no
-- Build KDevPlatform Ruby... no
-- Build KTextEditor Ruby... no
-- Build Nepomuk Ruby... no
-- Build Okular Ruby... no
-- Build Plasma Ruby... no
-- Build Solid Ruby... no
-- Ruby Executable: /usr/bin/ruby
-- Ruby Libraries: RUBY_LIBRARY-NOTFOUND
-- Ruby Include Path: /usr/lib64/ruby/1.8/x86_64-linux
-- Build Kross Ruby... no
-- <<< Gentoo configuration >>>
Build type: Gentoo
Install path: /usr/kde/4.3

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby_build
>>> Source configured.
>>> Compiling source in /var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby-4.2.69 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby_build"
make -j3 
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/krossruby-4.2.69

>>> Install krossruby-4.2.69 into /var/tmp/portage/kde-base/krossruby-4.2.69/image/ category kde-base
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/krossruby-4.2.69/work/krossruby_build"
make -j3 install DESTDIR=/var/tmp/portage/kde-base/krossruby-4.2.69/image/ 
make: *** No rule to make target `install'.  Stop.
 * 
 * ERROR: kde-base/krossruby-4.2.69 failed.
 * Call stack:
 *               ebuild.sh, line   48:  Called src_install
 *             environment, line 3737:  Called kde4-meta_src_install
 *             environment, line 2955:  Called kde4-base_src_install
 *             environment, line 2646:  Called cmake-utils_src_install
 *             environment, line 1006:  Called die
 * The specific snippet of code:
 *       emake install DESTDIR="${D}" || die "Make install failed";
 *  The die message:
 *   Make install failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/kde-base:krossruby-4.2.69:20090407-211438.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/krossruby-4.2.69/temp/environment'.
 * This ebuild is from an overlay named 'kde': '/usr/local/portage/layman/kde-testing/'
 * 

>>> Failed to emerge kde-base/krossruby-4.2.69, Log file:

>>>  '/var/log/portage/kde-base:krossruby-4.2.69:20090407-211438.log'
Comment 5 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-07 21:44:36 UTC
This is exactly the first issue from bug 256703. Compare the log posted there! (Hint: Ruby Libraries: RUBY_LIBRARY-NOTFOUND)

Krossruby checks for a /usr/lib/libruby.so file by default.
ruby-config (which is what the stable ebuilds use) creates /usr/lib/libruby.so as a symlink to libruby1.8.so, but eselect ruby does that no longer for Ruby 1.8 and 1.9 incompatibility reasons.
Comment 6 Martin Berkemeier 2009-04-10 11:46:06 UTC
my fault. you were right. sorry.

*** This bug has been marked as a duplicate of bug 256703 ***
Comment 7 Shaun Oleson 2010-02-04 15:54:33 UTC
*** Bug 303217 has been marked as a duplicate of this bug. ***